Ticket #2673 (closed enhancement: fixed)

Opened 9 years ago

Last modified 8 years ago

ファイルアップロードのイベント対応

Reported by: pnetan Assigned to: ruikubo
Priority: minor Milestone: OpenPNE2.13.6
Component: その他 Version:
Keywords: 2.13要望 Cc:

Description (Last modified by kiwa)

■概要

ファイルアップロード機能をコミュニティイベントに対応させる。

■仕様

コミュニティイベント・コミュニティイベントコメントにトピックと同じようにファイルアップロードのフォームを追加。

■関連情報

元のDescription

http://sns.openpne.jp/?m=pc&a=page_fh_diary&target_c_diary_id=17408 より転記

現在トピックにはファイル添付ができますが、
同じようにイベントにもファイル添付ができると便利だと思います。

たとえばイベント当日に印刷して持ってきてもらう書類がある場合、
PDFをアップしておけば別に用意する必要が無いので助かります

【追記】

むしろ画像もファイルも同様に扱い、画像の場合プレビューを、ファイルの場合ファイル形式に沿ったアイコンを表示出来るようになれば大変うれしいです。
そうなれば現在のアルバム機能も、ブリーフケースやマイドキュメント的な使い方ができます。

(ファイルに関しては、DBに書き込まない方式をデフォルトにしていただけると助かりますが・・・)



Attachments

trunk.patch (24.0 kB) - added by ruikubo on 02/11/09 23:19:01.
2系trunk版のパッチを作成したので添付します
event_edit.PNG (172.0 kB) - added by ruikubo on 02/11/09 23:20:18.
画面キャプチャ(2/2)
event_detail.PNG (99.5 kB) - added by ruikubo on 02/11/09 23:20:48.
画面キャプチャ(1/2)
20090223_pc_page_c_event_detail_ie7.png (5.5 kB) - added by kiwa on 02/23/09 16:09:07.
IE7でのレイアウト崩れ

Change History

07/29/08 10:52:17 changed by pnetan

http://sns.openpne.jp/?m=pc&a=page_fh_diary&target_c_diary_id=18122 こちらからも同じ要望があがっています

ファイルアップロードがコメント投稿時にもできるようになりました。

しかし、
コミュニティのトピックに対するコメントでは可能な一方
コミュニティのイベントに対するコメントでは不可能な状態です。

同じテーブルを使ってるので、技術的問題はない
(&特に仕様が違う意味がない)と思いますので
仕様を揃えていただけると助かります。



*会員からの指摘をいただいて気付きました


追記
【要望】イベントのコメントでファイルアップロード
から
【要望】イベントでファイルアップロード

02/11/09 23:19:01 changed by ruikubo

  • attachment trunk.patch added.

2系trunk版のパッチを作成したので添付します

02/11/09 23:20:18 changed by ruikubo

  • attachment event_edit.PNG added.

画面キャプチャ(2/2)

02/11/09 23:20:48 changed by ruikubo

  • attachment event_detail.PNG added.

画面キャプチャ(1/2)

02/11/09 23:25:53 changed by ruikubo

  • description changed.

パッチ補足

コミュニティイベントでファイルを添付できるようにしました。
コミュニティトピックと同じ動作にしています。

ちょっとサイズが大きくなりましたが、パッチの概要は次の通りです。

  • 表示周り
    • 添付ファイルの入力欄の追加
      • /templates/c_event_add.tpl, /page/c_event_add.php
      • /templates/c_event_edit.tpl, /page/c_event_edit.php
      • /templates/c_event_write_confirm.tpl, /page/c_event_write_confirm.php
    • 添付ファイルのダウンロードリンクの追加
      • /templates/c_event_detail.tpl, /page/c_event_detail.php
    • 添付ファイルのファイル名の表示
      • /templates/c_event_add_confirm.tpl, /page/c_event_add_confirm.php
      • /templates/c_event_edit.tpl, /page/c_event_edit.php
    • 添付ファイルの削除リンクの追加
      • /templates/c_event_edit.tpl
  • DB周り
    • 添付ファイルのDB登録の処理を追加
      • /do/c_event_add_insert_c_commu_topic.php
      • /do/c_event_edit_update_c_commu_topic.php
      • /do/c_event_write_insert_c_commu_topic_comment.php
    • 添付ファイルのDB削除の処理を追加
      • /do/c_event_edit_delete_c_commu_topic_comment_file.php(新規)
    • 添付ファイルの一時保存の処理を追加
      • /page/c_event_add_confirm.php
      • /page/c_event_write_confirm.php
    • valudationルールの追加
      • /validate/do/c_event_add_insert_c_commu_topic.ini
      • /validate/do/c_event_edit_delete_c_commu_topic_comment_file.ini(新規)
      • /validate/do/c_event_write_insert_c_commu_topic_comment.ini

02/12/09 09:33:42 changed by kiwa

  • milestone set to OpenPNE2.13.6.

おお、ありがとうございます!2.13に取り込みたいと思いますー

02/17/09 20:11:17 changed by kiwa

  • owner changed from nobody to kiwa.
  • status changed from new to assigned.

取り込みやります。

02/17/09 20:18:13 changed by kiwa

  • keywords changed from 2.13要望 to 2.13要望 確認中.
  • description changed.
  • summary changed from イベントにもファイル添付をできるようにしたい to ファイルアップロードのイベント対応.

r10787にて取り込みました。

02/23/09 16:09:07 changed by kiwa

  • attachment 20090223_pc_page_c_event_detail_ie7.png added.

IE7でのレイアウト崩れ

(follow-up: ↓ 7 ) 02/23/09 16:14:24 changed by kiwa

  • keywords changed from 2.13要望 確認中 to 2.13要望 差し戻し.

コードチェック前ですが、テンプレート側に軽く問題があったので差し戻します(動作に影響はないレベルです)。

症状1

IE7にて、ファイルが添付されているイベント詳細画面(pc_page_c_event_detail)の「タイトル」部分のレイアウトが崩れる。 IE7でのレイアウト崩れ

確認ブラウザ

  • Windows XP SP3
    • IE7

同OSのIE6, Firefox3, Safari3, Opera9では発生せず

症状2

ファイルが添付されているイベント詳細画面(pc_page_c_event_detail)でHMTL構文の警告が出る。

警告と該当行のソース

line 116 column 1 - 警告: <div> isn't allowed in <tr> elements

115: <th>ファイル</th>
116: <div class="block attachFile">
117: <td>

line 116 column 1 - 警告: missing </div> before <td>

115: <th>ファイル</th>
116: <div class="block attachFile">
117: <td>

line 118 column 153 - 警告: discarding unexpected </div>

117: <td>
118: <a href="./?m=pc&amp;a=do_c_file_download&amp;target_c_commu_topic_id=XX&amp;sessid=XXXXXXXX">ファイル名</a></td></div>
119: </tr><tr>

確認ツール

  • Firefox3 プラグイン 「HTML Validator」

(in reply to: ↑ 6 ; follow-up: ↓ 8 ) 02/23/09 17:03:12 changed by kiwa

  • keywords changed from 2.13要望 差し戻し to 2.13要望 確認中.

Replying to kiwa:

comment:6についてr10826で修正しました。

(in reply to: ↑ 7 ) 02/23/09 17:03:51 changed by kiwa

Replying to kiwa:

Replying to kiwa: comment:6についてr10826で修正しました。

リンクがうまくいってませんでした。r10826です。

02/26/09 12:56:49 changed by kawahara

  • keywords changed from 2.13要望 確認中 to 2.13要望 テスト待ち.

02/26/09 13:26:11 changed by kiwa

  • keywords changed from 2.13要望 テスト待ち to 2.13要望.
  • status changed from assigned to closed.
  • resolution set to fixed.

確認しました。問題ありません。

02/26/09 18:58:23 changed by kiwa

  • status changed from closed to reopened.
  • resolution deleted.

owner変更のためreopenします。

02/26/09 18:58:30 changed by kiwa

  • owner changed from kiwa to ruikubo.
  • status changed from reopened to new.

02/26/09 18:58:44 changed by kiwa

  • status changed from new to closed.
  • resolution set to fixed.